#include <iostream>
#include "ocr.h" // 用于调用接口

using namespace std;

int main(int argc, char const *argv[])
{
    if (argc < 2)
    {
        cout << "用法: " << argv[0] << " 身份证照片" << endl;
        return -1;
    }

    string app_id = "35475147";                             // 你的 App ID
    string api_key = "CSneGCoRs8zMD1F1PPnXyzPP";            // 你的 Api Key
    string secret_key = "wlKjVS2lE9xPFVV7G5EI3gYm7Zk3tnu1"; // 你的 Secret Key

    aip::Ocr client(app_id, api_key, secret_key); // 新建一个对象, 用于调用接口, 调用通用文字识别, 图片参数为本地图片
    // cout << "ok" << endl;

    // 定义 json 格式的数据类型 Value, result 是 json 类型的 Value 类实例, 用于存储返回的结果
    Json::Value result;
    string image;

    // 加载本地的身份证图片内容到 image 对象中, 用于调用身份证识别
    aip::get_file_content(argv[1], &image);

    // 客户端发送图片内容到百度服务器, 并返回结果到 result 对象中
    result = client.idcard(image, "front", aip::null); // front: 正面, back: 背面

    cout << "识别到的身份证信息如下: " << endl;
    cout << "姓名: " << result["words_result"]["姓名"]["words"].asString() << endl;
    cout << "性别: " << result["words_result"]["性别"]["words"].asString() << endl;
    cout << "民族: " << result["words_result"]["民族"]["words"].asString() << endl;
    cout << "出生: " << result["words_result"]["出生"]["words"].asString() << endl;
    cout << "住址: " << result["words_result"]["住址"]["words"].asString() << endl;
    cout << "公民身份号码: " << result["words_result"]["公民身份号码"]["words"].asString() << endl;
    // cout << "-------------------------" << endl;
    // cout << result << endl;

    return 0;
}